Bug 1475025 - dnf update - y rebooted my Raspberry Pi, then dnf won't run again
dnf update - y rebooted my Raspberry Pi, then dnf won't run again
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
armv7hl Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 17:16 EDT by Philip Wright
Modified: 2017-08-07 09:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-07 09:26:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Wright 2017-07-25 17:16:42 EDT
dnf now fails every time with the following error:

ImportError: /usr/lib/python3.6/site-packages/hawkey/_hawkey.so: undefined symbol: hy_goal_broken_dependency_pkgs
Comment 1 Jaroslav Mracek 2017-07-26 10:26:46 EDT
It looks like that your system is broken. I would like to recommend to you to read the article http://dnf.baseurl.org/2016/12/15/repair-of-broken-system-with-dnf-2-0/ and try to recover your system from live cd (reinstall, upgrade, history undo, remove). So far it doesn't look like a problem of dnf but probably if you will provide version of dnf, libdnf ("rpm -q dnf libdnf") just try to reproduce your problem.
Comment 2 Philip Wright 2017-08-07 08:03:48 EDT
I formatted the SD card and reinstalled Fedora 26. The error has not reproduced itself.
Comment 3 Jaroslav Mracek 2017-08-07 09:26:55 EDT
Thanks for your report, if you will find any reproduce or again any problem appears, don't hesitate to report it or reopen the bug report. Hope that everything will be fine in future.

Note You need to log in before you can comment on or make changes to this bug.